<div class="app-modal">
  <div class="app-modal-header bg-dark">Object Storage for
    {% if object_storage_config.object_storage_pk == 'strap' %}
      STRAP
      <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="Object storage used to stored `.tfstate` files for each app after deployments with Terraform"></i>
    {% else %}
      STRAP applications (currently not in use)
      <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="Object storage used by apps to store artifacts such as images and pdf files"></i>
    {% endif %}
  </div>
  <div class="app-modal-body">

        <!-- Info display -->
    <div class="object-storage-info">
      <div class="row my-1">
        <strong class="col col-md-3">{% if object_storage_config.object_storage_pk == 'strap' %}Bucket{% else %}Bucket prefix{% endif %}</strong>
        <pre class="col col-md-9 mb-0">{% if object_storage_config.object_storage_bucket %}{{ object_storage_config.object_storage_bucket }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Region</strong>
        <pre class="col col-md-9 mb-0">{% if object_storage_config.object_storage_region %}{{ object_storage_config.object_storage_region }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Endpoint URL</strong>
        <pre class="col col-md-9 mb-0">{% if object_storage_config.object_storage_url %}{{ object_storage_config.object_storage_url }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Access key</strong>
        <pre class="col col-md-9 mb-0">{% if object_storage_config.object_storage_access_key %}{{ object_storage_config.object_storage_access_key }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Secret key</strong>
        {% if object_storage_config.object_storage_secret_key %}
          <span class="password-display col col-md-9">
          <pre class="password mb-0">****************</pre>
          <pre class="text d-none mb-0"><code>{{ object_storage_config.object_storage_secret_key }}</code></pre>
            <div class="show-btn">Show</div>
          </span>
        {% else %}
        <pre class="col col-md-9 mb-0">Not set</pre>
        {% endif %}
      </div>
      <button type="button" class="btn btn-outline-dark btn-sm mt-3 edit-btn">Edit</button>
    </div>

    <!-- Form -->
    <form
      action="{% url 'update_object_storage_config' object_storage_pk=object_storage_config.object_storage_pk %}"
      method="post"
      class="object-storage-form d-none">
      {% csrf_token %}
      <div class="row my-1">
        <strong class="col col-md-3">{% if object_storage_config.object_storage_pk == 'strap' %}Bucket{% else %}Bucket prefix{% endif %}</strong>
        <span class="col col-md-9">
          <input type="text" name="object_storage_bucket" class="form-control col col-md-9" {% if object_storage_config.object_storage_bucket %}value="{{ object_storage_config.object_storage_bucket }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Region</strong>
        <span class="col col-md-9">
          <input type="text" name="object_storage_region" class="form-control col col-md-9" {% if object_storage_config.object_storage_region %}value="{{ object_storage_config.object_storage_region }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Endpoint URL</strong>
        <span class="col col-md-9">
          <input type="text" name="object_storage_url" class="form-control col col-md-9" {% if object_storage_config.object_storage_url %}value="{{ object_storage_config.object_storage_url }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Access key</strong>
        <span class="col col-md-9">
          <input type="text" name="object_storage_access_key" class="form-control col col-md-9" {% if object_storage_config.object_storage_access_key %}value="{{ object_storage_config.object_storage_access_key }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">Secret key</strong>
        <span class="col col-md-9">
          <input type="text" name="object_storage_secret_key" class="form-control col col-md-9" {% if object_storage_config.object_storage_secret_key %}value="{{ object_storage_config.object_storage_secret_key }}"{% endif %}>
        </span>
      </div>
      <button type="button" class="btn btn-danger btn-sm mt-2 cancel-btn">Cancel</button>
      <button type="submit" class="btn btn-dark btn-sm mt-2">Submit</button>
    </form>
  </div>
</div>
